package cn.iocoder.yudao.module.bpm.controller.admin.definition.vo.cc;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Set;

@Schema(description = "管理后台 - BPM 流程抄送配置 Response VO")
@Data
public class BpmProcessCcRespVO {

    @Schema(description = "抄送配置表单主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private Long id;

    @Schema(description = "流程实例的名字", example = "请假")
    private String name;

    @Schema(description = "公司部门编号", example = "114")
    private Set<Long> companyDeptId;

    @Schema(description = "公司部门名称", example = "114")
    private String companyName;

    @Schema(description = "绑定用户组编号")
    private Set<Long> userGroupId;

    @Schema(description = "用户组名称")
    private String groupName;

    @Schema(description = "描述", requiredMode = Schema.RequiredMode.REQUIRED)
    private String description;

    @Schema(description = "状态（0正常 1停用）", requiredMode = Schema.RequiredMode.REQUIRED)
    private Integer status;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    private LocalDateTime createTime;

}