package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.hire;

import cn.iocoder.yudao.framework.common.pojo.UploadUserFile;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.BpmOABaseRespVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.time.LocalDate;
import java.util.List;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY;

/**
 * @author 符溶馨
 */
@Schema(description = "管理后台 - 名片定制 请求Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BpmOAHireRespVO extends BpmOABaseRespVO {

    @Schema(description = "申请事由", requiredMode = Schema.RequiredMode.REQUIRED)
    private String reason;

    @Schema(description = "需求部门编号", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long demandDeptId;

    @Schema(description = "需求部门名称")
    private String demandDeptName;

    @Schema(description = "需求岗位编号")
    private Long demandPositionId;

    @Schema(description = "需求岗位名称")
    private String demandPositionName;

    @Schema(description = "招聘性质 | 字典值")
    private Integer type;

    @Schema(description = "招聘数量")
    private Integer number;

    @Schema(description = "到岗日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    private String arrivalDate;

    @Schema(description = "岗位职责")
    private String jobResponsibilities;

    @Schema(description = "任职要求")
    private String jobRequirements;

    @Schema(description = "流程实例编号")
    private String processInstanceId;

    @Schema(description = "状态-参见 bpm_process_instance_result 枚举", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private Integer result;

    @Schema(description = "上传文件", requiredMode = Schema.RequiredMode.NOT_REQUIRED)
    private List<UploadUserFile> fileItems;
}
