package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.salesperformance;

import lombok.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 销售业绩目标申请OA分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class SalesPerformancePageReqVO extends PageParam {

    @Schema(description = "申请人的用户编号", example = "2022")
    private Long userId;

    @Schema(description = "年")
    private String year;

    @Schema(description = "月")
    private String month;

    @Schema(description = "回款目标")
    private BigDecimal paymentTarget;

    @Schema(description = "销售目标")
    private Integer saleTarget;

    @Schema(description = "备注", example = "随便")
    private String remark;

    @Schema(description = "申请结果")
    private Integer result;

    @Schema(description = "流程实例的编号", example = "1600")
    private String processInstanceId;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
