package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.salesperformance;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 销售业绩目标申请OA Response VO")
@Data
public class SalesPerformanceRespVO {

    @Schema(description = "销售业绩目标申请", requiredMode = Schema.RequiredMode.REQUIRED, example = "1883")
    private Long id;

    @Schema(description = "申请人的用户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "2022")
    private Long userId;

    @Schema(description = "年", requiredMode = Schema.RequiredMode.REQUIRED)
    private String year;

    @Schema(description = "月", requiredMode = Schema.RequiredMode.REQUIRED)
    private String month;

    @Schema(description = "回款目标")
    private BigDecimal paymentTarget;

    @Schema(description = "销售目标")
    private Integer saleTarget;

    @Schema(description = "备注", example = "随便")
    private String remark;

    @Schema(description = "申请结果", requiredMode = Schema.RequiredMode.REQUIRED)
    private Integer result;

    @Schema(description = "流程实例的编号", example = "1600")
    private String processInstanceId;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    private LocalDateTime createTime;

}
