package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.supplier;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - OA供应商商品 Response VO")
@Data
public class BpmOASupplierProductRespVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "8546")
    private Long id;

    @Schema(description = "供应商OA流程id", example = "26994")
    private Long oaSupplierId;

    @Schema(description = "供应商id", example = "18695")
    private Long supplierId;

    @Schema(description = "供应商商品id（如果编辑的话需要）", example = "1033")
    private Long supplierProductId;

    @Schema(description = "申请人的用户编号", example = "1033")
    private Long userId;

    @Schema(description = "资产类型id", example = "8122")
    private Long assetsTypeId;

    @Schema(description = "资产名称", example = "赵六")
    private String assetsName;

    @Schema(description = "单位")
    private String util;

    @Schema(description = "型号")
    private String model;

    @Schema(description = "价格", example = "31309")
    private BigDecimal price;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    private LocalDateTime createTime;

    @Schema(description = "资产类型名称")
    private String assetsTypeName;

}
