package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.workorderassignrule;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - BPM OA 工单分配规则分页查询 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BpmOAWorkOrderAssignRulePageReqVO extends PageParam {

    @Schema(description = "工单类型", example = "it_support")
    private String workOrderType;

    @Schema(description = "责任部门ID", example = "100")
    private Long deptId;

    @Schema(description = "责任人ID", example = "1")
    private Long assigneeUserId;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
