package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.workorderassignrule;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - BPM OA 工单分配规则新增/修改 Request VO")
@Data
public class BpmOAWorkOrderAssignRuleSaveReqVO {

    @Schema(description = "规则ID，主键", example = "1")
    private Long id;

    @Schema(description = "工单类型", requiredMode = Schema.RequiredMode.REQUIRED, example = "it_support")
    @NotEmpty(message = "工单类型不能为空")
    private String workOrderType;

    @Schema(description = "责任部门ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "100")
    @NotNull(message = "责任部门ID不能为空")
    private Long deptId;

    @Schema(description = "责任人ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @NotNull(message = "责任人ID不能为空")
    private Long assigneeUserId;

    @Schema(description = "规则描述", example = "IT支持类工单自动分配给运维部门张三处理")
    private String description;

}
