package cn.iocoder.yudao.module.bpm.dal.dataobject.oa;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.math.BigDecimal;

/**
 * 加班申请子表 DO
 *
 * @author 艾楷
 */
@TableName("bpm_oa_overtime_item")
@KeySequence("bpm_oa_overtime_item_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BpmOAOvertimeItemDO extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;
    /**
     * 加班申请id
     */
    private Long oaOvertimeId;
    /**
     * 申请人用户编号
     */
    private Long userId;
    /**
     * 日期 yyyy-MM-dd
     */
    private String dateTimeStr;
    /**
     * 加班时长(小时)
     */
    private BigDecimal timeLength;
    /**
     * 日期类型 类型 1工作日 2休息日 3节假日
     */
    private Integer dateType;
    /**
     * 实际加班时长(根据计算方式和不同的日期类型)
     */
    private BigDecimal actualTimeLength;
    /**
     * 实际加班时长单位
     */
    private Integer unit;
    /**
     * 实际加班时长（分钟）
     */
    private Long actualTimeLengthMinutes;

}
