package cn.iocoder.yudao.module.bpm.service.oa;

import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.businessHospitality.BpmOABusinessHospitalityCreateReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.BpmOABusinessHospitalityDO;

public interface BpmOABusinessHospitalityService {

    /**
     * 创建商务招待申请
     * @param userId 用户id
     * @param createReqVO 创建信息
     * @return 商务招待申请编号
     */
    Long createBusinessHospitality(Long userId, BpmOABusinessHospitalityCreateReqVO createReqVO);

    /**
     * 获得商务招待申请
     * @param id 编号
     * @return 商务招待申请详情
     */
    BpmOABusinessHospitalityDO getBusinessHospitality(Long id);

    /**
     * 获得名片定制
     * @param processInstanceId 流程实例编号
     * @return 商务招待申请详情
     */
    BpmOABusinessHospitalityDO getByProcessInstanceId(String processInstanceId);

    /**
     * 更新商务招待申请的状态
     *
     * @param id     编号
     * @param result 结果
     */
    void updateBusinessHospitalityResult(Long id, Integer result);
}
