package cn.iocoder.yudao.module.bpm.service.oa;

import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.replacementCard.BpmOAReplacementCardCreateReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.BpmOAReplacementCardDO;

import javax.validation.Valid;
import java.util.List;

/**
 * 补卡申请 Service 接口
 *
 * @author 符溶馨
 */
public interface BpmOAReplacementCardService {

    /**
     * 创建补卡申请
     *
     * @param userId 用户编号
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createReplacementCard(Long userId, @Valid BpmOAReplacementCardCreateReqVO createReqVO);

    /**
     * 更新补卡申请的状态
     *
     * @param id 编号
     * @param result 结果
     */
    void updateReplacementCardResult(String processInstanceId, Long id, Integer result);

    /**
     * 获得补卡申请
     *
     * @param id 编号
     * @return 补卡申请
     */
    BpmOAReplacementCardDO getReplacementCard(Long id);

    /**
     * 获得指定的补卡申请
     * @param processInstanceId 流程实例编号
     * @return 补卡申请
     */
    BpmOAReplacementCardDO getByProcessInstanceId(String processInstanceId);

    /**
     * 处理中的补卡申请
     * @return 补卡申请列表
     */
    List<BpmOAReplacementCardDO> getListByResult();
}
