package cn.iocoder.yudao.module.bpm.service.oa;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.salesperformance.SalesPerformancePageReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.salesperformance.SalesPerformanceSaveReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.BpmOASalesPerformanceDO;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.validation.Valid;

/**
 * 销售业绩目标申请OA Service 接口
 *
 * @author 艾楷
 */
public interface BpmOASalesPerformanceService extends IService<BpmOASalesPerformanceDO> {

    /**
     * 创建销售业绩目标申请OA
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createSalesPerformance(@Valid SalesPerformanceSaveReqVO createReqVO);

    /**
     * 更新销售业绩目标申请OA
     *
     * @param updateReqVO 更新信息
     */
    void updateSalesPerformance(@Valid SalesPerformanceSaveReqVO updateReqVO);

    /**
     * 删除销售业绩目标申请OA
     *
     * @param id 编号
     */
    void deleteSalesPerformance(Long id);

    /**
     * 获得销售业绩目标申请OA
     *
     * @param id 编号
     * @return 销售业绩目标申请OA
     */
    BpmOASalesPerformanceDO getSalesPerformance(Long id);

    /**
     * 获得销售业绩目标申请OA分页
     *
     * @param pageReqVO 分页查询
     * @return 销售业绩目标申请OA分页
     */
    PageResult<BpmOASalesPerformanceDO> getSalesPerformancePage(SalesPerformancePageReqVO pageReqVO);

    /**
     * 更新销售业绩目标申请的状态
     *
     * @param processInstanceId 流程实例id
     * @param id
     * @param result 结果
     */
    void updateSalesPerformanceResult(String processInstanceId, Long id, Integer result);
}
