package cn.iocoder.yudao.module.bpm.service.oa.listener;

import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.bpm.service.oa.BpmOALoanService;
import cn.iocoder.yudao.module.bpm.service.oa.BpmOALoanServiceImpl;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * OA 借支申请单的结果的监听器实现类
 *
 * @author 符溶馨
 */
@Component
public class BpmOALoanResultListener extends BpmProcessInstanceResultEventListener {

    @Resource
    private BpmOALoanService loanService;

    @Override
    protected String getProcessDefinitionKey() {
        return BpmOALoanServiceImpl.PROCESS_KEY;
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {
        loanService.updateLoanResult(event.getId(), Long.parseLong(event.getBusinessKey()),
                event.getResult());
    }
}
