package cn.iocoder.yudao.module.bpm.service.oa.listener;

import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.bpm.service.oa.BpmOARefundService;
import cn.iocoder.yudao.module.bpm.service.oa.BpmOARefundServiceImpl;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * OA 转正单的结果的监听器实现类
 *
 * @author 符溶馨
 */
@Component
public class BpmOARefundResultListener extends BpmProcessInstanceResultEventListener {

    @Resource
    private BpmOARefundService refundService;

    @Override
    protected String getProcessDefinitionKey() {

        return BpmOARefundServiceImpl.PROCESS_KEY;
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {
        refundService.updateRefundResult(event.getId(), Long.parseLong(event.getBusinessKey()), event.getResult());
    }
}
