package cn.iocoder.yudao.module.bpm.service.processmapping;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.bpm.controller.admin.processmapping.vo.BpmProcessMappingConfigCreateReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.processmapping.vo.BpmProcessMappingConfigPageReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.processmapping.vo.BpmProcessMappingConfigUpdateReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.processmapping.BpmProcessMappingConfigDO;

import javax.validation.Valid;

/**
 * 流程映射配置 Service 接口
 *
 * @author 系统
 */
public interface ProcessMappingConfigService {

    /**
     * 创建流程映射配置
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createProcessMappingConfig(@Valid BpmProcessMappingConfigCreateReqVO createReqVO);

    /**
     * 更新流程映射配置
     *
     * @param updateReqVO 更新信息
     */
    void updateProcessMappingConfig(@Valid BpmProcessMappingConfigUpdateReqVO updateReqVO);

    /**
     * 删除流程映射配置
     *
     * @param id 编号
     */
    void deleteProcessMappingConfig(Long id);

    /**
     * 获得流程映射配置
     *
     * @param id 编号
     * @return 流程映射配置
     */
    BpmProcessMappingConfigDO getProcessMappingConfig(Long id);

    /**
     * 根据流程代码获取配置
     *
     * @param processCode 流程代码
     * @return 流程映射配置
     */
    BpmProcessMappingConfigDO getProcessMappingConfigByCode(String processCode);

    /**
     * 获得流程映射配置分页
     *
     * @param pageReqVO 分页查询
     * @return 流程映射配置分页
     */
    PageResult<BpmProcessMappingConfigDO> getProcessMappingConfigPage(BpmProcessMappingConfigPageReqVO pageReqVO);

    /**
     * 刷新缓存
     */
    void refreshCache();

} 