package cn.iocoder.yudao.module.hrm.api.salesperformancesettlement;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.hrm.api.crmcustomer.dto.CrmCustomerDTO;
import cn.iocoder.yudao.module.hrm.api.salesperformancesettlement.dto.SalesPerformanceSettlementDTO;
import cn.iocoder.yudao.module.hrm.enums.ApiConstants;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(name = ApiConstants.NAME) // TODO 芋艿：fallbackFactory =
@Tag(name = "RPC 服务 - 销售业绩目标")
public interface SalesPerformanceSettlementApi {

    String PREFIX = ApiConstants.PREFIX + "/crm/salesPerformanceSettlement";

    @PostMapping(PREFIX + "/update")
    @Operation(summary = "更新")
    CommonResult<Boolean> update(@RequestBody SalesPerformanceSettlementDTO salesPerformanceSettlementDTO);
}
