package cn.iocoder.yudao.module.crm.controller.admin.userlivetree.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

@Data
public class UserLiveTreeListVO {
    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "2907")
    private Long id;

    @Schema(description = "用户id", example = "4341")
    private Long userId;

    @Schema(description = "上级用户id", example = "6431")
    private Long pid;

    @Schema(description = "用户账号", example = "6431")
    private String username;

    @Schema(description = "用户昵称", example = "6431")
    private String nickname;

    @Schema(description = "部门 ID", example = "6431")
    private Long deptId;

    @Schema(description = "部门 名称", example = "6431")
    private String deptName;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    private LocalDateTime createTime;

    @Schema(description = "子集列表", example = "6431")
    private List<UserLiveTreeListVO> items;
}
