package cn.iocoder.yudao.module.infra.controller.admin.file.vo.file;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 分片预签名URL响应 VO
 *
 * @author AI Assistant
 */
@Schema(description = "管理后台 - 分片预签名URL响应")
@Data
public class ChunkPresignedUrlResponse {

    @Schema(description = "分片上传会话ID", example = "3d8b7f2a-1234-5678-9abc-def012345678")
    private String uploadId;

    @Schema(description = "分片编号", example = "1")
    private Integer partNumber;

    @Schema(description = "预签名上传URL", example = "http://10.10.2.3:9000/user-uploads/user_152/example.zip?uploadId=...")
    private String presignedUrl;

    @Schema(description = "有效期（秒）", example = "900")
    private Integer expires;

    @Schema(description = "过期时间", example = "2025-01-26T09:11:29")
    private LocalDateTime expiresAt;

} 