package cn.iocoder.yudao.module.infra.controller.admin.file.vo.file;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 分片上传初始化响应 VO
 *
 * @author AI Assistant
 */
@Schema(description = "管理后台 - 分片上传初始化响应")
@Data
public class MultipartUploadInitResponse {

    @Schema(description = "分片上传会话ID", example = "3d8b7f2a-1234-5678-9abc-def012345678")
    private String uploadId;

    @Schema(description = "对象名称", example = "user_152/dd0dbc41-b335-4dfa-93b4-0f819cf8710f_example.zip")
    private String objectName;

    @Schema(description = "分片大小（字节）", example = "5242880")
    private Integer chunkSize;

    @Schema(description = "总分片数", example = "205")
    private Integer totalChunks;

    @Schema(description = "有效期（秒）", example = "3600")
    private Integer expires;

    @Schema(description = "过期时间", example = "2025-01-26T10:11:29")
    private LocalDateTime expiresAt;

} 