
package cn.iocoder.yudao.module.system.api.assets;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.system.api.assets.dto.SupplierAssetAllocationDTO;
import cn.iocoder.yudao.module.system.enums.ApiConstants;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

@FeignClient(name = ApiConstants.NAME) // TODO 芋艿：fallbackFactory =
@Tag(name = "RPC 服务 - 资产类型")
public interface AssetsApi {

    String PREFIX = ApiConstants.PREFIX + "/assets";

    @PostMapping(PREFIX + "/supplierAssetAllocation")
    @Operation(summary = "供应商资产分配")
    CommonResult supplierAssetAllocation(@RequestBody List<SupplierAssetAllocationDTO> dtos);

}
