package cn.iocoder.yudao.module.system.api.group;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.system.enums.ApiConstants;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(name = ApiConstants.NAME) // TODO 芋艿：fallbackFactory =
@Tag(name = "RPC 服务 - 考勤组")
public interface AttendanceGroupApi {

    String PREFIX = ApiConstants.PREFIX + "/attendance-group";

    @GetMapping(PREFIX + "getReplacementCardNum")
    @Operation(summary = "获得可补卡次数")
    @Parameter(name = "userId", description = "用户编号", required = true, example = "1024")
    CommonResult<Integer> getReplacementCardNum(@RequestParam("userId") Long userId);
}
