package cn.iocoder.yudao.module.system.controller.admin.holiday.holidayuserrecord.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 员工假期记录分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class HolidayUserRecordPageReqVO extends PageParam {

    @Schema(description = "用户id", example = "18256")
    private Long userId;

    @Schema(description = "员工假期id", example = "23298")
    private Long holidayUserId;

    @Schema(description = "假期设置id", example = "25199")
    private Long holidaySettingId;

    @Schema(description = "假期余额设置id", example = "20788")
    private Long holidayBalanceSettingId;

    @Schema(description = "操作方向 0新增 1减去")
    private Integer direction;

    @Schema(description = "假期余额(这里的单位根据假期设置的来 没有固定单位)")
    private BigDecimal holidayBalance;

    @Schema(description = "发放时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime releaseTime;

    @Schema(description = "过期时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime expiredTime;

    @Schema(description = "过期提醒时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime expirationReminderTime;

    @Schema(description = "过期是否提醒 0否 1是")
    private Integer expirationReminderFlag;

    @Schema(description = "剩余余额")
    private BigDecimal remainingBalance;

    @Schema(description = "过期是否扣减 0否 1是")
    private Integer expiredDeductionFlag;

    @Schema(description = "备注", example = "随便")
    private String remark;

    @Schema(description = "原因", example = "原因")
    private String reason;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
