package cn.iocoder.yudao.module.system.controller.admin.holiday.holidayuserrecord.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 员工假期记录 Response VO")
@Data
@ExcelIgnoreUnannotated
public class HolidayUserRecordRespVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "2116")
    @ExcelProperty("编号")
    private Long id;

    @Schema(description = "用户id", example = "18256")
    @ExcelProperty("用户id")
    private Long userId;

    @Schema(description = "员工假期id", example = "23298")
    @ExcelProperty("员工假期id")
    private Long holidayUserId;

    @Schema(description = "假期设置id", example = "25199")
    @ExcelProperty("假期设置id")
    private Long holidaySettingId;

    @Schema(description = "假期余额设置id", example = "20788")
    @ExcelProperty("假期余额设置id")
    private Long holidayBalanceSettingId;

    @Schema(description = "操作方向 0新增 1减去")
    @ExcelProperty("操作方向 0新增 1减去")
    private Integer direction;

    @Schema(description = "假期余额(这里的单位根据假期设置的来 没有固定单位)")
    @ExcelProperty("假期余额(这里的单位根据假期设置的来 没有固定单位)")
    private BigDecimal holidayBalance;

    @Schema(description = "发放时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime releaseTime;

    @Schema(description = "过期时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime expiredTime;

    @Schema(description = "过期提醒时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime expirationReminderTime;

    @Schema(description = "过期是否提醒 0否 1是")
    private Integer expirationReminderFlag;

    @Schema(description = "剩余余额")
    private BigDecimal remainingBalance;

    @Schema(description = "过期是否扣减 0否 1是")
    @ExcelProperty("过期是否扣减 0否 1是")
    private Integer expiredDeductionFlag;

    @Schema(description = "备注", example = "随便")
    @ExcelProperty("备注")
    private String remark;

    @Schema(description = "原因", example = "原因")
    @ExcelProperty("原因")
    private String reason;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
