package cn.iocoder.yudao.module.system.controller.admin.rental.vo.order;

import cn.iocoder.yudao.module.system.controller.admin.rental.vo.itemsrecord.RentalItemsRecordSaveReqVO;
import cn.iocoder.yudao.module.system.controller.admin.rental.vo.rentaldepositrecord.RentalDepositRecordSaveReqVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

@Schema(description = "管理后台 - 租赁订单新增/修改 Request VO")
@Data
public class RentalOrderSaveReqVO {

    @Schema(description = "租赁订单表单主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private Long id;

    @Schema(description = "订单编号")
    private String orderNo;

    @Schema(description = "客户编号", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "客户编号不能为空")
    private Long customerId;

    @Schema(description = "收款人")
    private String recipient;

    @Schema(description = "押金金额", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "押金金额不能为空")
    private BigDecimal depositAmount;

    @Schema(description = "扣款金额")
    private BigDecimal chargebacksAmount;

    @Schema(description = "备注")
    private String notes;

    @Schema(description = "状态 | 1租赁中 2退款申请中 3等待退款中 4已退款")
    private Integer status;

    @Schema(description = "租赁物品记录")
    private List<RentalItemsRecordSaveReqVO> itemsRecords;

    @Schema(description = "租赁订单押金记录")
    private List<RentalDepositRecordSaveReqVO> depositRecords;
}