package cn.iocoder.yudao.module.system.controller.admin.rental.vo.rentaldepositrecord;

import cn.iocoder.yudao.framework.common.pojo.UploadUserFile;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

@Schema(description = "管理后台 - 租赁订单押金记录 Response VO")
@Data
@ExcelIgnoreUnannotated
public class RentalDepositRecordRespVO {

    @Schema(description = "租赁订单押金记录表单主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @ExcelProperty("租赁订单押金记录表单主键")
    private Long id;

    @Schema(description = "订单编号", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("订单编号")
    private String orderNo;

    @Schema(description = "支付方式 | 1支付宝 2微信 3银行卡", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("支付方式 | 1支付宝 2微信 3银行卡")
    private Integer paymentMethod;

    @Schema(description = "交易订单号", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("交易订单号")
    private String transactionOrderNumber;

    @Schema(description = "银行卡号")
    @ExcelProperty("银行卡号")
    private String bankNo;

    @Schema(description = "客户银行卡号", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("客户银行卡号")
    private String customerBankNo;

    @Schema(description = "收款/退款金额", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("收款/退款金额")
    private BigDecimal amount;

    @Schema(description = "收款/退款日期", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("收款/退款日期")
    private LocalDate paymentDate;

    @Schema(description = "类型 | 1收款 2退款", example = "1")
    @ExcelProperty("类型 | 1收款 2退款")
    private Integer type;

    @Schema(description = "附件信息")
    @ExcelProperty("附件信息")
    private List<UploadUserFile> fileItems;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}