package cn.iocoder.yudao.module.system.controller.admin.workovertime.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 加班扣除规则分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class WorkOvertimeDeductRulePageReqVO extends PageParam {

    @Schema(description = "加班规则id", example = "7404")
    private Long ruleId;

    @Schema(description = "加班规则子表id", example = "7404")
    private Long ruleItemId;

    @Schema(description = "每天加班满n小时 临界值")
    private Integer threshold;

    @Schema(description = "扣除的数量")
    private Integer deductNum;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
