package cn.iocoder.yudao.module.system.dal.dataobject.assets;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 资产类型 DO
 *
 * @author 艾楷
 */
@TableName("zc_assets_type")
@KeySequence("zc_assets_type_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AssetsTypeDO extends BaseDO {
    //类型 0按量 1按单件
    public static final int TYPE_QUANTITY = 0;
    public static final int TYPE_PIECES = 1;

    /**
     * id
     */
    @TableId
    private Long id;
    /**
     * 资产类型名称
     */
    private String name;
    /**
     * 类型 0按量 1按单件
     */
    private Integer type;
    /**
     * 业务类型 1行政类型 2生产类型
     */
    private Integer businessType;
    /**
     * 消耗类型 1固定资产 2消耗品
     */
    private Integer consumeType;
    /**
     * 类型编码(最后一级才有)
     */
    private String code;
    /**
     * 上级资产类型id
     */
    private Long pid;

    @TableField(exist = false)
    private Long assetsId;
}
