package cn.iocoder.yudao.module.system.dal.dataobject.holidayuseremploymentrecord;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 用户按入职时间发放日期记录表(每年) DO
 *
 * @author 艾楷
 */
@TableName("kq_holiday_user_employment_record")
@KeySequence("kq_holiday_user_employment_record_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class HolidayUserEmploymentRecordDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 假期设置id
     */
    private Long holidaySettingId;
    /**
     * 年份
     */
    private String yearNum;

}