package cn.iocoder.yudao.module.system.dal.dataobject.rental;

import cn.iocoder.yudao.framework.common.pojo.UploadUserFile;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import lombok.*;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.List;

/**
 * 租赁订单押金记录 DO
 *
 * @author 符溶馨
 */
@TableName(value = "system_rental_deposit_record", autoResultMap = true)
@KeySequence("system_rental_deposit_record_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RentalDepositRecordDO extends BaseDO {

    /**
     * 租赁订单押金记录表单主键
     */
    @TableId
    private Long id;
    /**
     * 订单编号
     */
    private String orderNo;
    /**
     * 支付方式 | 1支付宝 2微信 3银行卡
     */
    private Integer paymentMethod;
    /**
     * 交易订单号
     */
    private String transactionOrderNumber;
    /**
     * 银行卡号
     */
    private String bankNo;
    /**
     * 客户银行卡号
     */
    private String customerBankNo;
    /**
     * 收款/退款金额
     */
    private BigDecimal amount;
    /**
     * 收款/退款日期
     */
    private LocalDate paymentDate;
    /**
     * 类型 | 1收款 2退款 3转销售
     */
    private Integer type;
    /**
     * 附件信息
     */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<UploadUserFile> fileItems;

}