package cn.iocoder.yudao.module.system.dal.dataobject.rental;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.math.BigDecimal;

/**
 * 租赁订单 DO
 *
 * @author 符溶馨
 */
@TableName("system_rental_order")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RentalOrderDO extends BaseDO {

    /**
     * 状态 1 租赁中
     */
    public static final Integer ON_LEASE = 1;
    /**
     * 状态 2 退款申请中
     */
    public static final Integer REFUND_REQUESTED = 2;
    /**
     * 状态 3 等待退款中
     */
    public static final Integer WAITING_FOR_REFUND = 3;
    /**
     * 状态 4 已退款
     */
    public static final Integer REFUNDED = 4;

    /**
     * 租赁订单表单主键
     */
    @TableId
    private Long id;
    /**
     * 订单编号
     */
    private String orderNo;
    /**
     * 客户编号
     */
    private Long customerId;
    /**
     * 收款人
     */
    private String recipient;
    /**
     * 押金金额
     */
    private BigDecimal depositAmount;
    /**
     * 扣款金额
     */
    private BigDecimal chargebacksAmount;
    /**
     * 备注
     */
    private String notes;
    /**
     * 状态 | 1租赁中 2退款申请中 3等待退款中 4已退款
     */
    private Integer status;

}