package cn.iocoder.yudao.module.system.dal.dataobject.supplier;

import cn.iocoder.yudao.framework.common.pojo.UploadUserFile;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.List;

/**
 * 供应商列表(OA已审核通过后插入) DO
 *
 * @author 艾楷
 */
@TableName(value = "zc_supplier", autoResultMap = true)
@KeySequence("zc_supplier_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SupplierDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 供应商名称
     */
    private String supplierName;
    /**
     * 联系方式(手机号)
     */
    private String phone;
    /**
     * 联系人
     */
    private String contactPerson;
    /**
     * 公司地址
     */
    private String companyAddress;
    /**
     * 营业执照编号
     */
    private String businessLicenseNo;
    /**
     * 结算日
     */
    private String settlementDate;
    /**
     * 结算方式(字典值)
     */
    private Integer settlementMethod;
    /**
     * 公司账号(银行卡号)
     */
    private String companyAccount;
    /**
     * 银行开户行
     */
    private String bankAccountOpeningBank;
    /**
     * 状态 0禁用 1启用
     */
    private Integer status;
    /**
     * 附件信息
     */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<UploadUserFile> fileItems;
    /**
     * 备注
     */
    private String remark;

}
