package cn.iocoder.yudao.module.system.service.attendance.punch;

import cn.iocoder.yudao.module.system.api.attendance.dto.AttendanceTimeRangeInfoDTO;
import cn.iocoder.yudao.module.system.api.attendance.vo.AttendanceTimeRangeInfoVO;
import cn.iocoder.yudao.module.system.controller.admin.attendance.dto.AttendancePunchPageDTO;
import cn.iocoder.yudao.module.system.controller.admin.attendance.vo.AttendancePunchPageVO;
import cn.iocoder.yudao.module.system.controller.admin.attendance.vo.AttendanceRulesVO;

import java.util.List;
import java.util.Map;

/**
 * 打卡 Service 接口
 *
 * @author 艾楷
 */
public interface PunchService {

    /**
     * 获取考勤页面
     *
     * @param dto
     * @return
     */
    AttendancePunchPageVO getPunchPage(AttendancePunchPageDTO dto);

    /**
     * 获取规则
     *
     * @param attendanceGroupId
     * @return
     */
    List<AttendanceRulesVO.WorkRules> getRule(Long attendanceGroupId);

    /**
     *
     * @param dto
     * @return
     */
    Map<String, AttendanceTimeRangeInfoVO> getAttendanceInfoByTimeRange(AttendanceTimeRangeInfoDTO dto);
}
