package cn.iocoder.yudao.module.smartfactory.api.staff.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 员工 Response VO")
@Data
public class StaffDTO {

    @Schema(description = "主键id")
    private Long id;

    @Schema(description = "员工昵称")
    private String nickName;

    @Schema(description = "年龄")
    private Integer age;

    @Schema(description = "用户性别（0男 1女 2未知）")
    private Integer sex;

    @Schema(description = "工种id", example = "6971")
    private Integer workTypeId;

    @Schema(description = "工厂id", example = "6971")
    private Long factoryId;

    @Schema(description = "工厂名称", example = "6971")
    private String factoryName;

    @Schema(description = "手机号")
    private String mobile;

    @Schema(description = "身份证号")
    private String idCard;

    @Schema(description = "0离职  1在职 2工伤")
    private Integer status;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    private LocalDateTime createTime;

}