package cn.iocoder.yudao.module.smartfactory.controller.admin.handlinggroupamountspecifications.dto;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class HandlingGroupAmountSpecificationsPageReqDTO extends PageParam {

    @Schema(description = "工厂id", example = "23178")
    private Long factoryId;

    @Schema(description = "搬运组id", example = "23178")
    private Long handlingGroupId;

    @Schema(description = "叉车司机名称", example = "23178")
    private String staffName;

    @Schema(description = "搬运工名称", example = "23178")
    private String porterName;

    @Schema(description = "搬运规格id", example = "23178")
    private Long handlingSpecificationsId;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "工厂ids", example = "23178")
    private List<Long> factoryIds;

}
