package cn.iocoder.yudao.module.smartfactory.controller.admin.handlingspecifications.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 工厂搬运规格 Response VO")
@Data
@ExcelIgnoreUnannotated
public class HandlingSpecificationsRespVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "26164")
    @ExcelProperty("主键id")
    private Long id;

    @Schema(description = "工厂id", requiredMode = Schema.RequiredMode.REQUIRED, example = "9106")
    @ExcelProperty("工厂id")
    private Long factoryId;

    @Schema(description = "工厂名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "9106")
    @ExcelProperty("工厂名称")
    private String factoryName;

    @Schema(description = "规格名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "张三")
    @ExcelProperty("规格名称")
    private String specificationsName;

    @Schema(description = "类型 0数量 1重量 默认数量", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @ExcelProperty("类型 0数量 1重量 默认数量")
    private Integer type;

    @Schema(description = "重量 /（公斤 kg）")
    @ExcelProperty("重量 /（公斤 kg）")
    private BigDecimal weight;

    @Schema(description = "数量")
    @ExcelProperty("数量")
    private Integer num;

    @Schema(description = "单价/（吨/1000  or 件） ", requiredMode = Schema.RequiredMode.REQUIRED, example = "18521")
    @ExcelProperty("单价/（吨/1000  or 件） ")
    private BigDecimal unitPrice;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
