package cn.iocoder.yudao.module.smartfactory.controller.admin.linefixedassets.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.time.LocalDateTime;
import java.util.List;

@Schema(description = "管理后台 - 打包线固定资产分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class LineFixedAssetsPageReqVO extends PageParam {

    @Schema(description = "资产编号")
    private String assetsNo;

    @Schema(description = "工厂id", example = "29331")
    private Long factoryId;

    @Schema(description = "部门id", example = "28310")
    private Long deptId;

    @Schema(description = "名称", example = "赵六")
    private String name;

    @Schema(description = "规格")
    private String sku;

    @Schema(description = "打包线编号")
    private String lineNo;

    @Schema(description = "型号")
    private String modelNo;

    @Schema(description = "厂商")
    private String manufacturer;

    @Schema(description = "单位")
    private String unit;

    @Schema(description = "铭牌日期")
    private String nameplateDate;

    @Schema(description = "使用日期")
    private String useDate;

    @Schema(description = "备注", example = "你说的对")
    private String remark;

    @Schema(description = "创建时间")
    private LocalDateTime[] createTime;

    @Schema(description = "资产类型ids")
    private List<Long> typeIds;
}
