package cn.iocoder.yudao.module.smartfactory.controller.admin.linefixedassets.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;

@Schema(description = "管理后台 - 打包线固定资产新增/修改 Request VO")
@Data
public class LineFixedAssetsSaveReqVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "12837")
    private Long id;

    @Schema(description = "资产编号", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "资产编号不能为空")
    private String assetsNo;

    @Schema(description = "工厂id", requiredMode = Schema.RequiredMode.REQUIRED, example = "29331")
    @NotNull(message = "工厂id不能为空")
    private Long factoryId;

    @Schema(description = "部门id", example = "28310")
    private Long deptId;

    @Schema(description = "名称", example = "赵六")
    private String name;

    @Schema(description = "规格")
    private String sku;

    @Schema(description = "打包线编号")
    private String lineNo;

    @Schema(description = "型号")
    private String modelNo;

    @Schema(description = "厂商")
    private String manufacturer;

    @Schema(description = "单位")
    private String unit;

    @Schema(description = "铭牌日期")
    private String nameplateDate;

    @Schema(description = "使用日期")
    private String useDate;

    @Schema(description = "备注", example = "你说的对")
    private String remark;

}