package cn.iocoder.yudao.module.smartfactory.controller.admin.staff.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 员工 Response VO")
@Data
@ExcelIgnoreUnannotated
public class StaffRespVO {

    @Schema(description = "主键id")
    @ExcelProperty("序号")
    private Long id;

    @Schema(description = "员工昵称")
    @ExcelProperty("姓名")
    private String nickName;

    @Schema(description = "工厂名称", example = "6971")
    @ExcelProperty("工厂名称")
    private String factoryName;

    @Schema(description = "年龄")
    @ExcelProperty("年龄")
    private Integer age;

    @Schema(description = "用户性别（1男 2女）")
    private Integer sex;

    @Schema(description = "用户性别（1男 2女）")
    @ExcelProperty("性别")
    private String sexStr;

    @Schema(description = "工种id", example = "6971")
    private Integer workTypeId;

    @Schema(description = "工种名称", example = "6971")
    @ExcelProperty("工种")
    private String workTypeName;

    @Schema(description = "所属业务类型")
    private Integer businessType;

    @Schema(description = "工厂id", example = "6971")
    private Long factoryId;

    @Schema(description = "手机号")
    @ExcelProperty("手机号")
    private String mobile;

    @Schema(description = "身份证号")
    @ExcelProperty("身份证号")
    private String idCard;

    @Schema(description = "银行卡名称")
    private String bankName;

    @Schema(description = "银行卡号")
    private String bankNo;

    @Schema(description = "薪资主体 | 字典值 sf_staff_salary_subject")
    private Integer salarySubject;

    @Schema(description = "0离职  1在职 2工伤")
    private Integer status;

    @Schema(description = "备注")
    private String notes;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    private LocalDateTime createTime;

}