package cn.iocoder.yudao.module.smartfactory.dal.mysql.factorykiln;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.smartfactory.controller.admin.factorykiln.vo.FactoryKilnPageReqVO;
import cn.iocoder.yudao.module.smartfactory.controller.admin.factorykiln.vo.FactoryKilnRespVO;
import cn.iocoder.yudao.module.smartfactory.dal.dataobject.factorykiln.FactoryKilnDO;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 工厂窑炉 Mapper
 *
 * @author 姚君
 */
@Mapper
public interface FactoryKilnMapper extends BaseMapperX<FactoryKilnDO> {

    default PageResult<FactoryKilnDO> selectPage(FactoryKilnPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<FactoryKilnDO>()
                .eqIfPresent(FactoryKilnDO::getFactoryId, reqVO.getFactoryId())
                .likeIfPresent(FactoryKilnDO::getName, reqVO.getName())
                .eqIfPresent(FactoryKilnDO::getCapacity, reqVO.getCapacity())
                .betweenIfPresent(FactoryKilnDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(FactoryKilnDO::getId));
    }

    /**
     * 分页
     *
     * @param vo
     * @param page
     * @return
     */
    IPage<FactoryKilnRespVO> getFactoryKilnPage(@Param("vo") FactoryKilnPageReqVO vo, @Param("page") Page<Object> page);
}
